# TYCamport3: TY_DEVICE_BASE_INFO Struct Reference

TY_DEVICE_BASE_INFO Struct Reference

`#include <TYApi.h>`

Collaboration diagram for TY_DEVICE_BASE_INFO:
[legend]

## Public Attributes

TY_INTERFACE_INFO | iface
char | id [32]
| device serial number
char | vendorName [32]
char | userDefinedName [32]
char | modelName [32]
| device model name
TY_VERSION_INFO | hardwareVersion
| deprecated
TY_VERSION_INFO | firmwareVersion
| deprecated
union {
TY_DEVICE_NET_INFO netInfo
TY_DEVICE_USB_INFO usbInfo
}; |
char | buildHash [256]
char | configVersion [256]
char | reserved [256]

## Detailed Description

See also
  TYGetDeviceList

Definition at line 664 of file TYApi.h.

The documentation for this struct was generated from the following file:

- TYApi.h